Trigger a webhook workflow
curl --request POST \
--url https://api.greentick.ai/v1/hooks/{secret} \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"phone": "919876543210"
},
"event": "order.shipped",
"data": {
"order_id": "ord_123",
"tracking_url": "https://example.com/track/ord_123"
},
"metaPhoneNumberId": "<string>"
}
'import requests
url = "https://api.greentick.ai/v1/hooks/{secret}"
payload = {
"contact": { "phone": "919876543210" },
"event": "order.shipped",
"data": {
"order_id": "ord_123",
"tracking_url": "https://example.com/track/ord_123"
},
"metaPhoneNumberId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {phone: '919876543210'},
event: 'order.shipped',
data: {order_id: 'ord_123', tracking_url: 'https://example.com/track/ord_123'},
metaPhoneNumberId: '<string>'
})
};
fetch('https://api.greentick.ai/v1/hooks/{secret}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/hooks/{secret}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => [
'phone' => '919876543210'
],
'event' => 'order.shipped',
'data' => [
'order_id' => 'ord_123',
'tracking_url' => 'https://example.com/track/ord_123'
],
'metaPhoneNumberId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/hooks/{secret}"
payload := strings.NewReader("{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/hooks/{secret}")
.header("Content-Type", "application/json")
.body("{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/hooks/{secret}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"workflowId": "<string>",
"executionId": "<string>",
"sentCustomerMessage": true
}
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Workflow hooks
Trigger a webhook workflow
The gthook_ secret in the URL authenticates this request. Do not also send a GreenTick API key. The workflow must be active and use the Webhook event trigger.
POST
/
hooks
/
{secret}
Trigger a webhook workflow
curl --request POST \
--url https://api.greentick.ai/v1/hooks/{secret} \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"phone": "919876543210"
},
"event": "order.shipped",
"data": {
"order_id": "ord_123",
"tracking_url": "https://example.com/track/ord_123"
},
"metaPhoneNumberId": "<string>"
}
'import requests
url = "https://api.greentick.ai/v1/hooks/{secret}"
payload = {
"contact": { "phone": "919876543210" },
"event": "order.shipped",
"data": {
"order_id": "ord_123",
"tracking_url": "https://example.com/track/ord_123"
},
"metaPhoneNumberId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {phone: '919876543210'},
event: 'order.shipped',
data: {order_id: 'ord_123', tracking_url: 'https://example.com/track/ord_123'},
metaPhoneNumberId: '<string>'
})
};
fetch('https://api.greentick.ai/v1/hooks/{secret}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.greentick.ai/v1/hooks/{secret}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'contact' => [
'phone' => '919876543210'
],
'event' => 'order.shipped',
'data' => [
'order_id' => 'ord_123',
'tracking_url' => 'https://example.com/track/ord_123'
],
'metaPhoneNumberId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.greentick.ai/v1/hooks/{secret}"
payload := strings.NewReader("{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.greentick.ai/v1/hooks/{secret}")
.header("Content-Type", "application/json")
.body("{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.greentick.ai/v1/hooks/{secret}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"contact\": {\n \"phone\": \"919876543210\"\n },\n \"event\": \"order.shipped\",\n \"data\": {\n \"order_id\": \"ord_123\",\n \"tracking_url\": \"https://example.com/track/ord_123\"\n },\n \"metaPhoneNumberId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"workflowId": "<string>",
"executionId": "<string>",
"sentCustomerMessage": true
}
}{
"success": false,
"code": "INVALID_TO",
"message": "to (E.164 phone) is required"
}Path Parameters
Pattern:
^gthook_Body
application/json

